# Changelog

## [1.1.1](https://gitlab.com/nand-apps/seers-lodge/-/releases/1.1.1) - October 23rd, 2024

### More bug fixes and improvements 🤯🤯

**Improvements**
- Add clear messages option
- Add mute notifications option
- Improved profile selector on the login screen
- Unread messages are now tracked between sessions

**Fixes**
- Fixed crash when toggling fullscreen image preview
- Dev console text can now be selected and copied

## [1.1.0](https://gitlab.com/nand-apps/seers-lodge/-/releases/1.1.0) - October 12th, 2024

### 🛖 Welcome to the Lodge 🛖

Make yourself comfortable, because we've got...

**New Features**
- Audio calls 📞
- Voicemail
- Message editing and removal
- Emoji message reactions
- Moderator actions in Advanced Groups
- Status-based profile display
- Customizable keyboard shortcuts
- Customizable app color theme 🌈
- "Block" option for dealing with annoying people!
- Automatic login on Android
- Proxy network support 🥸
- Fancy first-time startup wizard
- Traduzione Italiana 🇮🇹

**Improvements**
- Image preview dialog now shows the source URL
- "Escape" key now acts as a back button on desktop
- Warning message is displayed in the chat box when a friend is offline
- Added more settings to the desktop chat widget
- Improved portrait mode detection on Android
- Login username and password can now be changed via Settings
- Improved auto-away tracking
- Advanced groups now persist peers from previous sessions
- User avatar cache is now encrypted 🔒
- More descriptive errors when login fails
- Added setting to change the default downloads directory

**Bug fixes**
- Fixed drag-and-drop overlay in the text box looking terrible
- Fixed DPI scaling for the desktop chat widget and notifications
- Fixed avatars being sent to friends every startup

## [1.0.1](https://gitlab.com/nand-apps/seers-lodge/-/releases/1.0.1) - August 6th, 2024

### Bug fixes and minor improvements 🤯

**Improvements**
- You can now use the numpad enter key to send messages in chat
- A confirmation dialog is now shown before sending files via drag-and-drop or Ctrl+V
- Added warning hint to chat box when a friend or group is offline (to deter accidental DMs)
- Increased click radius for checkbox and radio button

**Fixes**
- Fixed crash related to the auto-away monitor
- Ctrl+V file transfer now works properly on Windows
- Sending the same file to a friend twice no longer treats both file transfers as the same object

## [1.0.0](https://gitlab.com/nand-apps/seers-lodge/-/releases/1.0.0) - August 5th, 2024

### 🤑 First release 🤑

### Warning: Bugs a plenty! 🪳🪳🪳

This release includes builds for the following platforms:
- 🐧 Linux (Debian-based, x64)
- 🍎 macOS (Intel x64)
- 🪟 Windows (x64)
- 🤖 Android

More platforms to come... In the future! (maybe)