#include <jni.h>

#ifndef jtox_filetransfers
#define jtox_filetransfers
#ifdef __cplusplus
extern "C" {
#endif

/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    sendFile
 * Signature: (JIIJ[B[B)I
 */
JNIEXPORT jint JNICALL Java_nand_apps_tox_ToxNative_sendFile
  (JNIEnv *, jclass, jlong, jint, jint, jlong, jbyteArray, jbyteArray);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    sendFileChunk
 * Signature: (JIIJ[B)Z
 */
JNIEXPORT jboolean JNICALL Java_nand_apps_tox_ToxNative_sendFileChunk
  (JNIEnv *, jclass, jlong, jint, jint, jlong, jbyteArray);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    sendFileControl
 * Signature: (JIII)I
 */
JNIEXPORT jint JNICALL Java_nand_apps_tox_ToxNative_sendFileControl
  (JNIEnv *, jclass, jlong, jint, jint, jint);
  
#ifdef __cplusplus
}
#endif
#endif