#include <tox/tox.h>

#ifndef jtox_logger
#define jtox_logger

#define LOGGER_WRITE(level, ...) loggerWrite(level, __FILE__, __LINE__, __func__, __VA_ARGS__);

jclass getLoggerClass();

jobject getLogger();

void onLogMessage(Tox *tox, Tox_Log_Level level, const char *file, uint32_t line, const char *func, const char *message, void *user_data);

void loggerWrite(Tox_Log_Level level, const char *file, uint32_t line, const char *func, const char *format, ...);

#endif