package nand.apps.chat.ui.provider

import androidx.compose.material3.adaptive.currentWindowAdaptiveInfo
import androidx.compose.runtime.Composable
import androidx.window.core.layout.WindowWidthSizeClass

@Composable
actual fun isPortraitMode(width: Int, height: Int): Boolean {
    val windowSize = currentWindowAdaptiveInfo().windowSizeClass
    return windowSize.windowWidthSizeClass == WindowWidthSizeClass.COMPACT
}