package nand.apps.chat.audio

import kotlinx.coroutines.flow.MutableSharedFlow

interface AudioRecorder {
    
    val isActive: Boolean
    val onFrame: MutableSharedFlow<AudioFrame>
    
    fun start()
    
    fun stop()
}