package nand.apps.chat.dev

interface DevCommandLogger {
    
    fun print(text: String, type: DevCommandLogType = DevCommandLogType.DEFAULT)
}

fun DevCommandLogger.log(text: String) = print(text, DevCommandLogType.LOG)

fun DevCommandLogger.warn(text: String) = print(text, DevCommandLogType.WARNING)

fun DevCommandLogger.error(text: String) = print(text, DevCommandLogType.ERROR)

fun DevCommandLogger.highlight(text: String) = print(text, DevCommandLogType.HIGHLIGHT)