package nand.apps.chat.embed.amazon

import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import nand.apps.chat.embed.EmbedPreviewData
import nand.apps.chat.ui.embed.amazon.Renderer

data class AmazonProductMetadata(
    val url: String,
    val name: String,
    val imageUrl: String,
    val priceSymbol: String,
    val priceWhole: String,
    val priceFraction: String?,
    val features: String?,
) : EmbedPreviewData {

    @Composable
    override fun GetComposable(modifier: Modifier) = Renderer(modifier)
}