package nand.apps.chat.embed.fourchan

data class FourChanImageMetadata(
    val baseName: String,
    val extension: String,
    val size: Long,
    val width: Int,
    val height: Int,
    val isSpoiler: Boolean = false,
) {
    
    val fileName get() = "$baseName$extension"
    val aspectRatio get() = width.toFloat() / height
}