package nand.apps.chat.embed.mediawiki

import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import nand.apps.chat.embed.EmbedPreviewData
import nand.apps.chat.ui.embed.mediawiki.Renderer

data class MediaWikiPageMetadata(
    val url: String,
    val title: String,
    val summary: String?,
    val thumbnail: MediaWikiImageMetadata?,
) : EmbedPreviewData {

    @Composable
    override fun GetComposable(modifier: Modifier) = Renderer(modifier)
}