package nand.apps.chat.embed.youtube.video

enum class YoutubeVideoStatus {
    OK,
    UNPLAYABLE,
    LOGIN_REQUIRED,
    LIVE_STREAM_OFFLINE,
    UNKNOWN;
    
    companion object {
        operator fun get(value: String?) = entries.find { it.name == value } ?: UNKNOWN
    }
}