package nand.apps.chat.engine.mock

import nand.apps.chat.io.ChatEngineEncryption
import nand.apps.chat.io.ChatFileEncryption

class MockChatEngineEncryption : ChatEngineEncryption {

    override fun getFileEncryption(key: String, cipher: ByteArray?): ChatFileEncryption {
        return this
    }

    override fun isEncryptionSupported() = false

    override fun isDecryptionSupported() = false

    override fun isEncrypted(data: ByteArray) = false

    override fun encryptData(data: ByteArray) = data

    override fun decryptData(data: ByteArray) = data
}