package nand.apps.chat.model.avatar

import nand.apps.chat.text.emoji.Emoji
import okio.Path
import kotlin.math.absoluteValue

data class ChatUserAvatar(
    val username: String,
    val path: Path? = null,
    val emoji: Emoji = Emoji.entries[username.hashCode().absoluteValue % Emoji.entries.size],
) : ChatAvatar(username)