package nand.apps.chat.model.file

import kotlinx.serialization.Serializable

@Serializable
class PersistedChatFileTransfer(
    val fileUid: String,
    val name: String,
    val path: String,
    val size: Long,
    val direction: ChatFileTransferDirection,
)

fun ChatFileTransfer.toPersistedFileTransfer() = PersistedChatFileTransfer(
    fileUid = fileUid.value,
    name = name,
    path = path,
    size = size,
    direction = direction,
)