package nand.apps.chat.model.notification

import nand.apps.chat.model.avatar.ChatAvatar
import nand.apps.chat.model.uid.CallUid
import nand.apps.chat.model.uid.ContactUid
import nand.apps.chat.model.uid.NotificationUid

data class CallNotification(
    val sender: String,
    val avatar: ChatAvatar,
    val contactUid: ContactUid,
    val callUid: CallUid,
) : ChatNotification(
    uid = NotificationUid(callUid.value),
    group = ChatNotificationGroup.CALLS,
)