package nand.apps.chat.model.notification

import nand.apps.chat.model.avatar.ChatAvatar
import nand.apps.chat.model.message.ChatMessage
import nand.apps.chat.model.uid.NotificationUid

data class MessageNotification(
    val title: String,
    val sender: String,
    val avatar: ChatAvatar,
    val message: ChatMessage,
) : ChatNotification(
    uid = NotificationUid(message.uid.value),
    group = ChatNotificationGroup.MESSAGES,
)