package nand.apps.chat.model.uid

import nand.apps.chat.util.trimToLength

data class FileTransferUid(val value: String) {

    constructor(fileUid: FileUid, friendUid: UserUid) : this(fileUid.value + friendUid.value)
    
    override fun toString() = "FileTransfer[${value.trimToLength(6)}]"
}