package nand.apps.chat.net.packet

import nand.apps.chat.model.group.ChatGroupData
import nand.apps.chat.model.net.packet.ChatPacketData
import nand.apps.chat.model.user.UserData

interface ChatPacketHandler {

    suspend fun handlePacket(
        data: ChatPacketData,
        sender: UserData,
        group: ChatGroupData?,
        isBroadcast: Boolean,
    ): Boolean
}