package nand.apps.chat.profile

import nand.apps.chat.model.user.ChatProfileData

interface ProfileAuthenticator {
    
    fun isAuthenticationRequired(): Boolean
    
    suspend fun isLoginCorrect(profile: ChatProfileData): Boolean
    
    suspend fun isPasswordCorrect(password: String): Boolean
}