package nand.apps.chat.ui.file

import nand.apps.chat.io.ChatFileMetadata
import nand.apps.chat.io.ChatFileSortType

data class ChatFilePickerState(
    val directory: String = "",
    val files: List<ChatFileMetadata> = emptyList(),
    val selectedFile: ChatFileMetadata? = null,
    val showHiddenFiles: Boolean = false,
    val sortReversed: Boolean = false,
    val sortType: ChatFileSortType = ChatFileSortType.NAME,
    val searchFilter: String = "",
    val isLoading: Boolean = true,
    val overwriteFile: ChatFileMetadata? = null,
)