package nand.apps.chat.ui.theme

import androidx.compose.runtime.Immutable
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp

@Immutable
class ChatThemeDimensions {
    
    val spacingXSmall = 2.dp
    val spacingSmall = 4.dp
    val spacingMedium = 8.dp
    val spacingLarge = 12.dp
    val spacingXLarge = 18.dp
    
    val avatarSmall = 32.dp
    val avatarMedium = 40.dp
    val avatarLarge = 48.dp
    val avatarXLarge = 64.dp
    
    val imageThumbnail = 128.dp
    val imageSmall = 192.dp
    val imageMedium = 256.dp
    val imageLarge = 384.dp
    val imageXLarge = 512.dp
    
    val iconSmall = 24.dp
    val iconMedium = 32.dp
    val iconLarge = 40.dp
    val iconXLarge = 48.dp

    val buttonSmall = 32.dp
    val buttonMedium = 40.dp
    val buttonLarge = 48.dp
    val buttonXLarge = 56.dp
    
    val emojiFontSize = 26.sp
    val emojiImageSize = 32.dp
}