package nand.apps.tox.callback

interface ToxAvCallback {
    
    fun onCallStarted(friendNum: Int, isAudioEnabled: Boolean, isVideoEnabled: Boolean)
    fun onCallState(friendNum: Int, state: Int)
    fun onAudioBitrate(friendNum: Int, bitRate: Int)
    fun onVideoBitrate(friendNum: Int, bitRate: Int)
    fun onAudioFrame(friendNum: Int, samples: ShortArray, channels: Int, sampleRate: Int)
    fun onVideoFrame(friendNum: Int, width: Int, height: Int, y: ByteArray, u: ByteArray, v: ByteArray, yStride: Int, uStride: Int, vStride: Int)
}