package nand.apps.tox.callback

interface ToxConferenceCallback {

    fun onConferenceInvite(friendNum: Int, groupType: Int, cookie: ByteArray)
    fun onConferenceConnected(groupNum: Int)
    fun onConferenceTitle(groupNum: Int, peerId: Int, title: ByteArray)
    fun onConferenceMessage(groupNum: Int, peerId: Int, messageType: Int, message: ByteArray)
    fun onConferenceAudioFrame(groupNum: Int, peerId: Int, samples: ShortArray, channels: Int, sampleRate: Int)
    fun onConferenceUsersChanged(groupNum: Int)
    fun onConferenceUserName(groupNum: Int, peerId: Int, name: ByteArray)
}