package nand.apps.tox.net

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class ToxBootstrapData(
    @SerialName("last_scan") val lastScan: Int,
    @SerialName("last_refresh") val lastRefresh: Int,
    val nodes: List<ToxBootstrapNode>,
) {
    
    val lastScanMs get() = lastScan * 1000L
    val lastRefreshMs get() = lastRefresh * 1000L
}