package nand.apps.chat.io

import okio.Path
import okio.Path.Companion.toPath

class TestFilePaths : ChatFilePaths {

    override val roots = emptySet<Path>()
    override val userDataPath = "data".toPath()
    override val cachePath = "cache".toPath()
    override val configPath = "config".toPath()
    override val toxPath = "tox".toPath()
    override val homePath = "home".toPath()
    override val documentPath = "documents".toPath()
    override val downloadPath = "downloads".toPath()
    override val picturesPath = "pictures".toPath()
    override val videosPath = "videos".toPath()
    override val musicPath = "music".toPath()

    override fun init() {
        // Nothing to do here
    }
}