package nand.apps.chat.dev

import androidx.compose.runtime.mutableStateListOf
import androidx.compose.runtime.snapshotFlow

class DevConsoleRepo {

    private val lines = mutableStateListOf<DevConsoleLine>()

    val lineObserver = snapshotFlow { lines.toList() }
    
    fun appendLine(line: DevConsoleLine) {
        lines += line
    }
    
    fun clearLines() {
        lines.clear()
    }
}