package nand.apps.chat.image

import coil3.ComponentRegistry
import nand.apps.chat.platform.ChatPlatform
import nand.apps.chat.platform.getPlatform

actual fun ComponentRegistry.Builder.addPlatformComponents() {
    if (getPlatform() == ChatPlatform.WINDOWS) {
        // Latest Coil version still doesn't properly support Windows file paths
        add(WindowsFileFetcher.Factory())
    }
    add(ScrimageDecoder.Factory())
}