package nand.apps.chat.locale

import java.util.Locale

actual fun isAppLocaleSupported() = true

actual fun setAppLocale(locale: ChatLocale) {
    val jvmLocale = when (locale) {
        ChatLocale.ENGLISH -> Locale.ENGLISH
        ChatLocale.ITALIAN -> Locale.ITALIAN
        else -> Locale.ENGLISH
    }
    Locale.setDefault(jvmLocale)
}

actual fun getAppLocale(): ChatLocale = when (Locale.getDefault()) {
    Locale.ENGLISH -> ChatLocale.ENGLISH
    Locale.ITALIAN -> ChatLocale.ITALIAN
    else -> ChatLocale.ENGLISH
}