package nand.apps.chat.platform

import org.jetbrains.skiko.OS
import org.jetbrains.skiko.hostOs

actual fun getPlatform() = when (hostOs) {
    OS.Windows -> ChatPlatform.WINDOWS
    OS.MacOS -> ChatPlatform.MAC
    OS.Linux -> ChatPlatform.LINUX
    else -> ChatPlatform.DESKTOP_OTHER
}