package nand.apps.chat.platform

import nand.apps.chat.ui.window.WindowFocusListener

class DesktopAppStateProvider : AppStateProvider {

    override var currentState = AppState.FOREGROUND
    
    init {
        WindowFocusListener { isFocused ->
            currentState = if (isFocused) AppState.FOREGROUND else AppState.BACKGROUND
        }
    }
}