package nand.apps.chat.ui.notification

import nand.apps.chat.model.call.CallData
import nand.apps.chat.model.group.ChatGroupData
import nand.apps.chat.model.notification.ChatNotification
import nand.apps.chat.model.notification.ChatNotificationGroup
import nand.apps.chat.model.uid.ContactUid
import nand.apps.chat.model.uid.GroupUid
import nand.apps.chat.model.uid.UserUid
import nand.apps.chat.model.user.UserData

data class DesktopNotificationState(
    val notifications: Map<ChatNotificationGroup, ChatNotification> = emptyMap(),
    val friends: Map<UserUid, UserData> = emptyMap(),
    val groups: Map<GroupUid, ChatGroupData> = emptyMap(),
    val calls: Map<ContactUid, CallData> = emptyMap(),
)