package nand.apps.chat.ui.scrollbar

import androidx.compose.foundation.ScrollbarAdapter
import androidx.compose.foundation.VerticalScrollbar as PlatformScrollbar
import androidx.compose.foundation.lazy.LazyListState
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier

@Composable
actual fun VerticalScrollbar(
    listState: LazyListState,
    modifier: Modifier,
    reverseLayout: Boolean,
) = PlatformScrollbar(
    adapter = ScrollbarAdapter(listState),
    reverseLayout = reverseLayout,
    modifier = modifier,
)