# $eers Lodge
![Wow](readme/images/app.png)![Awesome](readme/images/app.png)![Nice](readme/images/app.png)

### ![gif](readme/images/shake.webp) The most _"amazin!"_ app you've ever seen ![gif](readme/images/shake.webp)

![gif](readme/images/cheese.gif)![gif](readme/images/cowboy.gif)
![gif](readme/images/penguin.gif)
![gif](readme/images/new.gif)![gif](readme/images/spinsmile.gif)

>"You're gonna like this app, I guarantee it."

<a href="https://f-droid.org/packages/chat.seers.app/">
    <img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png"
    alt="Get it on F-Droid!!"
    height="80">
</a>

## 🇺🇸 Made in America 🇺🇸
### _100% Organic and Natural Intelligence_
### Guaranteed to last for years!
![gif](readme/images/money.gif)![gif](readme/images/money.gif)![gif](readme/images/money.gif)![gif](readme/images/money.gif)
## 📞📞📞 THIS IS A LIMITED TIME OFFER - CALL NOW 📞📞📞

![gif](readme/images/question.gif)

## FAQ

### What is this?
Seers Lodge is a feature-**rich** chat application that runs on the [**Tox**](https://tox.chat/index.html) protocol.
This app is designed to be a modern, decentralized alternative to mainstream chat apps without sacrificing the features "we all know and love".

### Features? What kind?
- Decentralized peer-to-peer calling and messaging
- Peer-to-peer file sharing 👮🏿
- Role-based group chat
- Custom avatars
- Message reactions 👍
- Text effects and _styles_
- Animated emojis and GIFs
- Embedded URL previews
- Voicemail!
- Multi-platform support
- Più lingue 🇮🇹

### That's it?
"We" also plan to support these features at some point (maybe):
- Custom emojis 🫥
- Custom app themes 🖌️
- Group games 🕹️🤓
- VR mode 🤯

### Which platforms are supported?

| Platform | Supported? |
|----------|------------|
| Linux    | 👍 Yes     |
| macOS    | 👍 Yes     |
| Windows  | 👍 Yes     |
| Android  | 👍 Yes     |
| iOS      | 🛠️ WIP    |
| Web      | ❌ Nope     |

### How do I download it?
Well I'm glad you asked - click [here](https://gitlab.com/nand-apps/seers-lodge/-/releases/permalink/latest)!

The Android APK can also be downloaded from [F-Droid](https://f-droid.org/packages/chat.seers.app/).

### Can I build this myself?
Yes. See the [**Build Instructions**](readme/build.md) page.

### Why is it called “Seers Lodge”?
That's none of your business, quite frankly.

![gif](readme/images/bullet.gif)

### Who are you?
`Cale Stockman` - Entrepreneur, social influencer, actor, thought leader, music producer, and father of 3 **beautiful** dogs.

![gif](readme/images/cale.gif)

## Docs
### [Installation & Troubleshooting](readme/install.md)
### [Build Instructions](readme/build.md)
### [Chat Styles & Effects](readme/chat.md)
### [Tox Compatibility](readme/tox.md)

## Special Thanks
...to our beta testers!  
🎮 **PSK**  
🎮 **Dirac**  
🎮 **PSIMagnet**  

### Thanks for reading!
![gif](readme/images/cat.gif)

## License
>Seers Lodge - P2P Chat Application  
>Copyright © 2024 nand@seers.chat
>
>This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
>
>This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
>
>You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.