#include <jni.h>

#ifndef gif_jni
#define gif_jni
#ifdef __cplusplus
extern "C" {
#endif

/*
 * Class:     nand_apps_gif_GifNative
 * Method:    openGif
 * Signature: ([B)Lnand/apps/gif/GifImage;
 */
JNIEXPORT jobject JNICALL Java_nand_apps_gif_GifNative_openGif
  (JNIEnv *, jclass, jbyteArray);

/*
 * Class:     nand_apps_gif_GifNative
 * Method:    getFrame
 * Signature: (J[B)J
 */
JNIEXPORT jlong JNICALL Java_nand_apps_gif_GifNative_getFrame
  (JNIEnv *, jclass, jlong, jint, jbyteArray);
  
/*
 * Class:     nand_apps_gif_GifNative
 * Method:    closeGif
 * Signature: (J)V
 */
JNIEXPORT void JNICALL Java_nand_apps_gif_GifNative_closeGif
  (JNIEnv *, jclass, jlong);

#ifdef __cplusplus
}
#endif
#endif
