#include <jni.h>

#ifndef jtox_self
#define jtox_self
#ifdef __cplusplus
extern "C" {
#endif

/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    getSelfUserData
 * Signature: (J)Lnand/apps/tox/ToxUserData;
 */
JNIEXPORT jobject JNICALL Java_nand_apps_tox_ToxNative_getSelfUserData
  (JNIEnv *, jclass, jlong);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    setSelfUserData
 * Signature: (J[B[B)Z
 */
JNIEXPORT jboolean JNICALL Java_nand_apps_tox_ToxNative_setSelfUserData
  (JNIEnv *, jclass, jlong, jbyteArray, jbyteArray);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    setSelfStatus
 * Signature: (JI)V
 */
JNIEXPORT void JNICALL Java_nand_apps_tox_ToxNative_setSelfStatus
  (JNIEnv *, jclass, jlong, jint);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    getSelfAddress
 * Signature: (J)[B
 */
JNIEXPORT jbyteArray JNICALL Java_nand_apps_tox_ToxNative_getSelfAddress
  (JNIEnv *, jclass, jlong);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    setSelfNoSpam
 * Signature: (JI)V
 */
JNIEXPORT void JNICALL Java_nand_apps_tox_ToxNative_setSelfNoSpam
  (JNIEnv *, jclass, jlong, jint);
  
#ifdef __cplusplus
}
#endif
#endif