package nand.apps.chat.audio

object AndroidAudioNative {
    
    external fun initEngine(isPlaybackEngine: Boolean): Long
    external fun startEngine(ptr: Long, deviceId: Int, sampleRate: Int, channelCount: Int, isLowLatency: Boolean): Int
    external fun writeSamples(ptr: Long, samples: ShortArray, streamId: Long): Int
    external fun readSamples(ptr: Long, samples: ShortArray): Int
    external fun getVacancy(ptr: Long, streamId: Long): Int
    external fun getStreamPosition(ptr: Long, streamId: Long): Int
    external fun getBufferSize(ptr: Long): Int
    external fun stopEngine(ptr: Long): Int
    external fun destroyEngine(ptr: Long)
}