package nand.apps.chat.net

import android.content.Context
import android.content.Intent
import android.content.Intent.FLAG_ACTIVITY_NEW_TASK
import android.net.Uri
import androidx.core.content.ContextCompat.startActivity

class AndroidUriLauncher(
    private val context: Context,
) : UriLauncher {

    override fun launchUri(uri: ChatUri) {
        startActivity(
            context,
            Intent(Intent.ACTION_VIEW)
                .setFlags(FLAG_ACTIVITY_NEW_TASK)
                .setData(Uri.parse(uri.value)),
            null
        )
    }
}