package nand.apps.chat.ui.navigation

import androidx.activity.compose.BackHandler as AndroidBackHandler
import androidx.compose.runtime.Composable
import androidx.compose.runtime.NonRestartableComposable

@Composable
@NonRestartableComposable
actual fun BackHandler(
    isEnabled: Boolean,
    onBack: () -> Unit,
) = AndroidBackHandler(
    enabled = isEnabled,
    onBack = onBack,
)