package nand.apps.chat.audio

import okio.Path

interface AudioPlayer {
    
    fun queueSound(name: String): AudioHandle?
    
    fun queueFile(path: Path, startTime: Double = 0.0): AudioHandle?
    
    fun queueFrame(frame: AudioFrame, last: AudioHandle? = null): AudioHandle?
    
    fun stopSound(handle: AudioHandle)
}