package nand.apps.chat.embed.ebay

import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import nand.apps.chat.embed.EmbedPreviewData
import nand.apps.chat.ui.embed.ebay.Renderer

data class EbayListingMetadata(
    val url: String,
    val name: String,
    val price: String,
    val condition: String?,
    val imageUrl: String,
    val seller: EbaySellerMetadata?,
) : EmbedPreviewData {

    @Composable
    override fun GetComposable(modifier: Modifier) = Renderer(modifier)
}