package nand.apps.chat.embed.file

import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import nand.apps.chat.embed.EmbedPreviewData
import nand.apps.chat.ui.embed.image.ImageEmbedRenderer

data class ImageEmbedData(
    val uri: String,
    val type: String,
) : EmbedPreviewData {

    @Composable
    override fun GetComposable(modifier: Modifier) = ImageEmbedRenderer(
        uri = uri,
        type = type,
        modifier = modifier,
    )
}