package nand.apps.chat.embed.stackexchange

import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import nand.apps.chat.embed.EmbedPreviewData
import nand.apps.chat.ui.embed.stackexchange.Renderer

data class StackExchangePageMetadata(
    val url: String,
    val title: String,
    val body: String,
    val iconUrl: String?,
    val askTime: Long?,
) : EmbedPreviewData {

    @Composable
    override fun GetComposable(modifier: Modifier) = Renderer()
}