package nand.apps.chat.embed.web

import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import nand.apps.chat.embed.EmbedPreviewData
import nand.apps.chat.ui.embed.web.Renderer

data class WebPageEmbedData(
    val url: String,
    val domain: String,
    val title: String,
    val description: String,
    val imageUrl: String,
) : EmbedPreviewData {

    @Composable
    override fun GetComposable(modifier: Modifier) = Renderer()
}