package nand.apps.chat.embed.youtube.channel

import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import nand.apps.chat.embed.EmbedPreviewData
import nand.apps.chat.ui.embed.youtube.Renderer

data class YoutubeChannelMetadata(
    val url: String?,
    val name: String?,
    val id: String? = null,
    val handle: String? = null,
    val description: String? = null,
    val thumbnailUrl: String? = null,
    val subscriberCount: String? = null,
    val videoCount: String? = null,
) : EmbedPreviewData {

    @Composable
    override fun GetComposable(modifier: Modifier) = Renderer(modifier)
}