package nand.apps.chat.engine

import kotlinx.coroutines.CoroutineScope
import nand.apps.chat.model.user.ChatProfileData

interface ChatEngineCallback {

    suspend fun onEngineInit(profile: ChatProfileData)
    
    fun onEngineStart(coroutineScope: CoroutineScope)
    
    fun onEngineStop()
}