package nand.apps.chat.engine.mock

import nand.apps.chat.engine.ChatEngine
import nand.apps.chat.engine.ChatEngineCommandHandler
import nand.apps.chat.io.ChatEngineEncryption
import nand.apps.chat.profile.ProfileAuthenticator
import org.koin.dsl.module

fun getMockKoinModule() = module {
    single<ChatEngine> { MockChatEngine(get()) }
    single<ProfileAuthenticator> { MockProfileAuthenticator() }
    single<ChatEngineEncryption> { MockChatEngineEncryption() }
    single<ChatEngineCommandHandler> { MockChatEngineCommandHandler() }
}