package nand.apps.chat.image

import androidx.compose.ui.unit.IntRect
import coil3.Image
import coil3.PlatformContext
import coil3.request.ImageRequest

interface ImagePixelReader {
    
    fun createImageRequestBuilder(context: PlatformContext): ImageRequest.Builder =
        ImageRequest.Builder(context)

    fun readPixels(image: Image, rect: IntRect): ByteArray?
}