package nand.apps.chat.image

import androidx.compose.ui.graphics.ImageBitmap

class SimpleBitmap(
    val width: Int,
    val height: Int,
    val pixels: ByteArray, // Always RGBA_8888
)

expect fun SimpleBitmap.toComposeBitmap(): ImageBitmap

expect fun SimpleBitmap.toPngByteArray(): ByteArray

expect fun SimpleBitmap.toJpegByteArray(quality: Float): ByteArray