package nand.apps.chat.io

interface ChatFileEncryption {

    fun isEncryptionSupported(): Boolean
    
    fun isDecryptionSupported(): Boolean

    fun isEncrypted(data: ByteArray): Boolean

    fun encryptData(data: ByteArray): ByteArray?

    fun decryptData(data: ByteArray): ByteArray?
}