package nand.apps.chat.locale

import org.jetbrains.compose.resources.StringResource
import seers.composeapp.generated.resources.*

enum class ChatLocale(
    val label: StringResource,
    val emoji: String,
) {
    ENGLISH(Res.string.language_english, "\uD83C\uDDEC\uD83C\uDDE7"),
    ITALIAN(Res.string.language_italian, "\uD83C\uDDEE\uD83C\uDDF9"),
}