package nand.apps.chat.model.net.packet

import kotlinx.serialization.Serializable
import nand.apps.chat.model.user.ChatClientVersion

@Serializable
data class ClientVersionPacketData(
    val name: String,
    val major: Int,
    val minor: Int,
    val patch: Int,
) : ChatPacketData {
    
    val clientVersion get() = ChatClientVersion(
        name = name,
        major = major,
        minor = minor,
        patch = patch,
    )
}