package nand.apps.chat.model.settings.call

import kotlinx.serialization.Serializable

@Serializable
data class CallSettingsData(
    val isEnabled: Boolean = true,
    val isVoicemailEnabled: Boolean = true,
    val maxRings: Int = 5,
    val voicemailMaxDuration: Int = 3 * 60 * 1000,
    val voicemailAudioBitRate: Int = 32000,
)
