package nand.apps.chat.model.settings.filetransfer

import kotlinx.serialization.Serializable

@Serializable
data class FileTransferUploadConfig(
    val label: String = "",
    val url: String = "",
    val method: FileTransferUploadMethod = FileTransferUploadMethod.FORM,
    val maxFileSize: Long = 10_000_000L,
    val formFileNameKey: String = "file",
    val formFields: Map<String, String> = emptyMap(),
)