package nand.apps.chat.model.settings.notifications

import androidx.compose.ui.Alignment

enum class ChatWidgetPlacement {
    TOP_LEFT,
    TOP_MIDDLE,
    TOP_RIGHT,
    CENTER_LEFT,
    CENTER_RIGHT,
    BOTTOM_LEFT,
    BOTTOM_MIDDLE,
    BOTTOM_RIGHT,
    ;
    
    fun toAlignment() = when (this) {
        TOP_LEFT -> Alignment.TopStart
        TOP_MIDDLE -> Alignment.TopCenter
        TOP_RIGHT -> Alignment.TopEnd
        CENTER_LEFT -> Alignment.CenterStart
        CENTER_RIGHT -> Alignment.CenterEnd
        BOTTOM_LEFT -> Alignment.BottomStart
        BOTTOM_MIDDLE -> Alignment.BottomCenter
        BOTTOM_RIGHT -> Alignment.BottomEnd
    }
}