package nand.apps.chat.model.settings.notifications

import kotlinx.serialization.Serializable

@Serializable
data class ChatWidgetSettingsData(
    val isEnabled: Boolean = false,
    val isFlashEnabled: Boolean = false,
    val isGroupUnreadEnabled: Boolean = true,
    val isGroupUnreadNumberShown: Boolean = false,
    val placement: ChatWidgetPlacement = ChatWidgetPlacement.CENTER_RIGHT,
    val size: ChatWidgetSize = ChatWidgetSize.MEDIUM,
)
