package nand.apps.chat.model.settings.notifications

enum class ChatWidgetSize {
    SMALL,
    MEDIUM,
    LARGE,
    ;
    
    val scale get() = when (this) {
        SMALL -> 1f
        MEDIUM -> 4f / 3f
        LARGE -> 16f / 9f
    }
}