package nand.apps.chat.net

import nand.apps.chat.io.isFilePath

data class ChatUri(val value: String)

fun String.toChatUri() = ChatUri(
    value = when {
        !contains("://") && isFilePath() -> "file://$this"
        else -> this
    }
)