package nand.apps.chat.platform

enum class ChatPlatform {
    WINDOWS,
    MAC,
    LINUX,
    DESKTOP_OTHER,
    ANDROID,
    IOS,
    ;
    
    val isMobile get() = this == ANDROID || this == IOS
    val isDesktop get() = this == WINDOWS || this == MAC || this == LINUX || this == DESKTOP_OTHER
}

expect fun getPlatform(): ChatPlatform