package nand.apps.chat.text.emoji

enum class EmojiGroup(val description: String) {
    SMILEYS("Smileys & Emotion"),
    PEOPLE("People & Body"),
    NATURE("Animals & Nature"),
    FOOD("Food & Drink"),
    TRAVEL("Travel & Places"),
    ACTIVITIES("Activities"),
    OBJECTS("Objects"),
    SYMBOLS("Symbols"),
    FLAGS("Flags"),
    OTHER("Other"),
    ;
    
    companion object {
        fun findByDescription(description: String) = entries.find { description == it.description } ?: OTHER
    }
}