package nand.apps.chat.ui.avatar

import androidx.compose.runtime.Composable
import nand.apps.chat.ui.theme.ChatTheme

enum class ChatAvatarSize {
    SMALL,
    MEDIUM,
    LARGE,
    XLARGE;
    
    @Composable
    fun getSizeDp() = when (this) {
        SMALL -> ChatTheme.dimens.avatarSmall
        MEDIUM -> ChatTheme.dimens.avatarMedium
        LARGE -> ChatTheme.dimens.avatarLarge
        XLARGE -> ChatTheme.dimens.avatarXLarge
    }
}