package nand.apps.chat.ui.dialog.image

import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.runtime.*
import androidx.compose.ui.Modifier
import nand.apps.chat.ui.dialog.FullscreenPreviewDialog
import nand.apps.chat.ui.embed.image.StaticImageRenderer

@Composable
fun StaticImagePreviewDialog(
    model: Any,
    contentDescription: String?,
    onDismiss: () -> Unit,
) = FullscreenPreviewDialog(
    uri = if (model is String) model else null,
    onDismiss = onDismiss,
) {
    StaticImageRenderer(
        model = model,
        contentDescription = contentDescription,
        modifier = Modifier.fillMaxSize(),
    )
}