package nand.apps.chat.ui.provider

import androidx.compose.runtime.compositionLocalOf
import androidx.compose.runtime.staticCompositionLocalOf
import nand.apps.chat.ui.navigation.NavController
import nand.apps.chat.ui.navigation.NavRoute

val LocalNavController = staticCompositionLocalOf<NavController> {
    error("No navigation controller is set")
}

val LocalNavRoute = compositionLocalOf<NavRoute> {
    error("No navigation route is set")
}