package nand.apps.chat.ui.util

import androidx.compose.runtime.Composable
import androidx.compose.runtime.NonRestartableComposable
import androidx.compose.ui.platform.LocalDensity
import androidx.compose.ui.unit.Density
import androidx.compose.ui.unit.Dp
import androidx.compose.ui.unit.dp

@Composable
@NonRestartableComposable
fun Dp.toPx() = LocalDensity.current.run { toPx() }

fun Int.toDp(density: Density) = (this / density.density).dp