package nand.apps.gif

import okio.Closeable

class GifImage(
    private val ptr: Long,
    val width: Int,
    val height: Int,
    val bytesPerPixel: Int,
    val frameCount: Int,
): Closeable {
    
    fun readFrame(frameNum: Int, buffer: ByteArray) = GifNative.getFrame(ptr, frameNum, buffer)
    
    override fun close() = GifNative.closeGif(ptr)
}