package nand.apps.tox.callback

interface ToxFileCallback {

    fun onFileControl(friendNum: Int, fileNum: Int, control: Int)
    fun onFileReceived(friendNum: Int, fileNum: Int, fileUid: ByteArray, fileType: Int, fileSize: Long, fileName: ByteArray)
    fun onFileChunkReceived(friendNum: Int, fileNum: Int, position: Long, data: ByteArray)
    fun onFileChunkRequest(friendNum: Int, fileNum: Int, position: Long, length: Long)
}