package nand.apps.tox.callback

interface ToxFriendCallback {

    fun onFriendRequest(publicKey: ByteArray, message: ByteArray)
    fun onFriendMessage(friendNum: Int, messageType: Int, message: ByteArray)
    fun onFriendName(friendNum: Int, name: ByteArray)
    fun onFriendStatus(friendNum: Int, status: Int)
    fun onFriendStatusMessage(friendNum: Int, message: ByteArray)
    fun onFriendConnectionStatus(friendNum: Int, status: Int)
    fun onFriendReadReceipt(friendNum: Int, messageId: Int)
    fun onFriendPacket(friendNum: Int, packet: ByteArray)
}