package nand.apps.chat.ui.notification

import androidx.compose.runtime.Composable
import androidx.compose.runtime.NonRestartableComposable
import nand.apps.chat.model.call.CallData
import nand.apps.chat.model.notification.CallNotification
import nand.apps.chat.ui.call.CallHeaderContent

@Composable
@NonRestartableComposable
fun CallNotificationRenderer(
    notification: CallNotification,
    call: CallData,
) = CallHeaderContent(
    call = call,
    contactName = notification.sender,
    avatar = notification.avatar,
)